﻿package  {
	
	import flash.display.*;
	import flash.events.Event;
	import flash.utils.getTimer;
	
	public class Space extends MovieClip {

		private var variables:Object = {};
		var randp:uint = 0;
		var sprite:Sprite = new Sprite();
		private var stories:Array = null;
		private var planetInfo:Object;
		private var time:int=0, planetName:String,_peered:Boolean;
		
		public function Space() {
			addChildAt(sprite,getChildIndex(backspace)+1);
			planet = "AZURA";
			addEventListener(Event.ENTER_FRAME,refreshStory);
		}
		
		public function set peered(value:Boolean):void {
			_peered = value;
			alien.visible = planetInfo || _peered;
		}
		
		public function set planet(value:String):void {
			value = value.toUpperCase();
			planetName = value;
			stories = null;
			planetInfo = Stories.STORY[value];
			for(var s:String in planetInfo) {
				if(variables[s]) {
					stories = planetInfo[s];
				}
			}
			if(!stories && planetInfo && planetInfo[0]) {
				stories = planetInfo[0];
			}
			
			while(sprite.numChildren)
				sprite.removeChildAt(0);
			var n:int = 0;
			for(i=0;i<value.length;i++) {
				n += value.charCodeAt(i)*Math.pow(10,i);
			}
			randp = n;
			var random:Random = new Random(randp);
			
			planet_mc.gotoAndStop(int(1+random.random()*planet_mc.totalFrames));
			alien.body.eyes.gotoAndStop("NORMAL");
			dialog.text = "";
			alien.visible = planetInfo || _peered;
			
			alien.gotoAndStop(int(1+random.random()*alien.totalFrames));
			
			
			for(var i:int=0;i<50;i++) {
				var star:Star = new Star();
				star.x = random.random()*stage.stageWidth;
				star.y = random.random()*stage.stageHeight;
				star.gotoAndPlay(int(1+star.totalFrames*random.random()));
				sprite.addChild(star);
			}
			
			time = getTimer();
		}
		
		public function get planet():String {
			return planetName;
		}
		
		private function refreshStory(e:Event):void {
			if(planetInfo && planetInfo.parrot) {
				if(MovieClip(root).hitch.tf) {
					var pano:String = MovieClip(root).hitch.tf;
					dialog.text = pano+"? You want to go to "+pano+"?";
				}
			}
			else if(stories) {
				var index:int = int((getTimer()-time)/5000)-1;
				var story:String = index<0 || index>=stories.length || !stories?null:stories[index];
				dialog.text = story?story.toUpperCase():"";
			}
		}
	}
}


import flash.utils.getTimer;
        
internal class Random 
{
	private const MAX_RATIO:Number = 1 / uint.MAX_VALUE;
	private var r:uint;
	
	public function Random(seed:uint = 0)
	{
		r = seed || getTimer();
	}
	
	//  returns a random Number from 0 – 1
	public function random():Number
	{
		r ^= (r << 21);
		r ^= (r >>> 35);
		r ^= (r << 4);
		return (r * MAX_RATIO);
	}
}