﻿package  {
	
	import flash.events.*;
	import flash.display.*;
	public class NewTenantApplication extends MovieClip {
		
		public function NewTenantApplication() {
			cancel.addEventListener(MouseEvent.CLICK,onCancel);
			monologue.addEventListener(Event.CHANGE,onChange);
			submitButton.addEventListener(MouseEvent.CLICK,onSubmit);
			reset();
		}
		
		public function reset():void {
			photo.reset();
			monologue.text = "";
			disabled = true;
		}
		
		public function set alienFrame(value:int):void {
			photo.alienFrame = value;
		}
		
		public function set planet(value:String):void {
			planetname.text = value;
		}
		
		public function set disabled(value:Boolean):void {
			submitButton.mouseEnabled = !value;
			submitButton.alpha = value ? .1: 1;
		}
		
		private function onChange(e:Event):void {
			monologue.text = monologue.text.toUpperCase();
			var split:Array = monologue.text.split("\r");
			for(var i:int=0;i<split.length;i++) {
				split[i] = (i+1)+") ";
			}
			lines.text = split.join("\r");
			disabled = monologue.text.length==0;
		}
		
		private function onCancel(e:MouseEvent):void {
			visible = false;
		}
		
		private function onSubmit(e:MouseEvent):void {
			visible = false;
			dispatchEvent(new Event(Event.COMPLETE));
		}
		
		public function get bitmapData():BitmapData {
			return photo.bitmapData;
		}
		
		public function get text():String {
			return monologue.text;
		}
	}
	
}
